Name:           presence
Version:        0.4.5
Release:        5%{?dist}
Summary:        Bi-directional audio/video connections

License:        GPLv2+
URL:            http://gitorious.org/valastuff/presence
# Source0 taken from: https://gitorious.org/valastuff/presence
# ./package-source.sh %{version} (provided by the repo)
Source0:        presence-%{version}.tar.xz

BuildRequires:  vala, vala-devel, desktop-file-utils, libtool
BuildRequires:  clutter-devel, clutter-gtk-devel, clutter-gst-devel, libmx-devel >= 1.4.0
BuildRequires:  gstreamer-devel, gstreamer-plugins-bad-free-devel, gstreamer-rtsp-devel >= 0.10.8-1, gstreamer-rtsp-vala
BuildRequires:  avahi-gobject-devel
BuildRequires:  libnotify-devel
BuildRequires:  libgudev1-devel
BuildRequires:  desktop-file-utils
#BuildRequires:  libnice-devel
#BuildRequires:  libupnp-devel
Requires:       gnome-icon-theme, gnome-icon-theme-symbolic

%description
A simple tool to establish a bi-directional audio/video connection in simple 
networks (aka LAN).

%prep
%setup -q
chmod a+x ./autogen.sh


%build
./autogen.sh
%configure
make clean
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

desktop-file-validate %{buildroot}/%{_datadir}/applications/presence.desktop


%files
%doc README COPYING
%{_bindir}/presence
%{_datadir}/presence
%{_datadir}/presence/*
%{_datadir}/applications/presence.desktop


%changelog
* Sat Mar 10 2012 Matthias Clasen <mclasen@redhat.com> - 0.4.5-5
- Rebuild against new cogl

* Sun Feb 26 2012 Matthias Clasen <mclasen@redhat.com> - 0.4.5-4
- Rebuild against new cogl

* Fri Jan 20 2012 Fabian Deutsch <fabiand@fedoraproject.org> - 0.4.5-3
- Rebuild against new libmx

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Dec 17 2011 Fabian Deutsch <fabiand@fedoraproject.org> - 0.4.5-1
- Update to 0.4.5

* Fri Nov 18 2011 Fabian Deutsch <fabiand@fedoraproject.org> - 0.4.4-2
- Own _datadir/presence
- Depend on icon themes
- Fix comments on how the source was gathered

* Fri Nov 18 2011 Fabian Deutsch <fabiand@fedoraproject.org> - 0.4.4-1
- Update to 0.4.4

* Thu Nov 17 2011 Fabian Deutsch <fabiand@fedoraproject.org> - 0.4.2-1
- Update to 0.4.2

* Wed Nov 16 2011 Fabian Deutsch <fabiand@fedoraproject.org> - 0.4.1-1
- Update to 0.4.1

* Thu Nov 14 2011 Fabian Deutsch <fabiand@fedoraproject.org> - 0.4-1
- Update to 0.4

* Thu Oct 18 2011 Fabian Deutsch <fabiand@fedoraproject.org> - 0.3-1
- Update to 0.3

* Wed Oct 12 2011 Fabian Deutsch <fabiand@fedoraproject.org> - 0.2-1
- Update to 0.2

* Wed Oct 12 2011 Fabian Deutsch <fabiand@fedoraproject.org> - 0.1-1
- Initial package.
